package com.ruoyi.shipping.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.shipping.domain.TVoyage;

/**
 * 航次Service接口
 * 
 * @author ruoyi
 * @date 2021-04-02
 */
public interface ITVoyageService 
{
    /**
     * 查询航次
     * 
     * @param fId 航次ID
     * @return 航次
     */
    public TVoyage selectTVoyageById(Long fId);

    /**
     * 查询航次列表
     * 
     * @param tVoyage 航次
     * @return 航次集合
     */
    public List<TVoyage> selectTVoyageList(TVoyage tVoyage);
    /**
     * 查询航次列表
     *
     * @param tVoyage 航次
     * @return 航次集合
     */
    public List<TVoyage> freightList(TVoyage tVoyage);
    /**
     * 查询航次列表
     *
     * @param tVoyage 航次
     * @return 航次集合
     */
    public List<TVoyage> freightselect(TVoyage tVoyage);

    /**
     * 新增航次
     * 
     * @param tVoyage 航次
     * @return 结果
     */
    public int insertTVoyage(TVoyage tVoyage);

    /**
     * 修改航次
     * 
     * @param tVoyage 航次
     * @return 结果
     */
    public int updateTVoyage(TVoyage tVoyage);

    /**
     * 批量删除航次
     * 
     * @param fIds 需要删除的航次ID
     * @return 结果
     */
    public int deleteTVoyageByIds(Long[] fIds);

    /**
     * 删除航次信息
     * 
     * @param fId 航次ID
     * @return 结果
     */
    public int deleteTVoyageById(Long fId);
    /**
     * 验证编号唯一性
     * @param tVoyage
     * @return
     */
    public String selectTVoyagefNo(TVoyage tVoyage);
    /**
     * 查询航次
     * @return
     */
    public List<Map<String, Object>> selectTVoyagefNumber(TVoyage tVoyage);
    /**
     * 查询航次列表
     *
     * @param tVoyage 航次
     * @return 航次集合
     */
    public List<TVoyage> selectMessage(TVoyage tVoyage);

    /**
     * 新增航次运价信息
     * @param tVoyage 航次信息
     * @param tCtnpriceItems 运价信息
     * @return
     */
    public AjaxResult insertMessage (String tVoyage,String tCtnpriceItems);
    /**
     * 商务端船期查询
     *
     * @param tVoyage 航次
     * @return 航次集合
     */
    public List<TVoyage> createOrder(TVoyage tVoyage);
    /**
     * 首页获取船动态
     * @return
     */
    public List<Map<String,Object>>shipDynamic();
}
